@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;700&display=swap');

* {
  margin: 0;
  padding: 0;
  font-family: 'Roboto', sans-serif;
}

:root {
  --primary-color: hsl(210, 66%, 50%);
}

.container {
  max-width: 1200px;
  min-height: 100vh;
  padding-bottom: 20px;
  margin: 0 auto;
  margin-top: 80px;
  display: flex;
  justify-content: center;
}

.infos {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 20px;
}

.infos h1 {
  font-size: 3rem;
  font-weight: bold;
  text-align: center;
}

.infos p {
  text-align: center;
  font-size: 1.5rem;
}

.infos a {
  text-decoration: none;
}

.button {
  background: var(--primary-color);
  border: none;
  border-radius: 4rem;
  margin-bottom: 4rem;
  padding: 1.6rem 3.2rem;
  width: fit-content;
  color: white;
  font-size: 1.4rem;
  font-weight: 700;
  text-transform: uppercase;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 1.6rem;
  text-decoration: none;
  transition: background 200ms;
}

.button:hover {
  text-decoration: none;
  background-color: rgba(15, 119, 255, 0.795);
  color: white;
}

.video {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.video h3 {
  padding-bottom: 20px;
  font-family: 'Roboto', sans-serif;
  font-weight: 400;
}

@media (max-width: 400px) {
  #videoframe {
    width: 100%; 
    height: auto;
  }
}

html {
  scroll-behavior: smooth;
}

.wrapper {
  width: min(50rem, 100%);
  margin-inline: auto;
  padding-inline: 2.4rem;
}

.social-links {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 3.2rem;
  list-style: none;
}

footer {
  background-color: var(--primary-color);
  width: 100%;
  padding: 50px;
  text-align: left;
  color: white;
}

footer .social-links {
  justify-content: flex-start;
}

@media (min-width: 1200px) {
  body {
    overflow: auto;
  }

  .wrapper {
    width: min(112rem, 100%);
    display: grid;
  }

  .col-a {
    grid-area: A;
  }

  .col-b {
    grid-area: B;
  }

  footer .wrapper {
    grid-template-columns: 1fr 1fr;
    grid-template-areas: 'A B';
  }

  footer .col-a {
    align-self: center;
  }

  footer .col-b {
    align-self: center;
    justify-self: flex-end;
  }

  footer p {
    margin-bottom: 0;
  }
}
